<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>OrderServiceImpl.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">tutorial-4</a> &gt; <a href="index.source.html" class="el_package">id.ac.ui.cs.advprog.tutorial4.singleton.service</a> &gt; <span class="el_source">OrderServiceImpl.java</span></div><h1>OrderServiceImpl.java</h1><pre class="source lang-java linenums">package id.ac.ui.cs.advprog.tutorial4.singleton.service;

import id.ac.ui.cs.advprog.tutorial4.singleton.core.OrderDrink;
import id.ac.ui.cs.advprog.tutorial4.singleton.core.OrderFood;
import org.springframework.stereotype.Service;

@Service
<span class="fc" id="L8">public class OrderServiceImpl implements OrderService {</span>

<span class="fc" id="L10">    private OrderDrink orderDrink = OrderDrink.getInstance();</span>

    public void orderADrink(String drink) {
<span class="fc" id="L13">        orderDrink.setDrink(drink);</span>
<span class="fc" id="L14">    }</span>

    public OrderDrink getDrink() {
<span class="fc" id="L17">        return orderDrink;</span>
    }

<span class="fc" id="L20">    private OrderFood orderFood = OrderFood.getInstance();</span>

    public void orderAFood(String food) {
<span class="fc" id="L23">        orderFood.setFood(food);</span>
<span class="fc" id="L24">    }</span>

    public OrderFood getFood() {
<span class="fc" id="L27">        return orderFood;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>